Installing 8.1.7 iwith patch
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 6 of 6

Thread: Installing 8.1.7 iwith patch

  1. #1
    Join Date
    Oct 2002
    Location
    Singapore
    Posts
    49
    Hi,

    I'm installing a new 8.1.7 db with patch. Is there any sequence to which one come first? According to patch set notes, they assume db is up and running. In my case, i'm install a new db. Can i,

    1) install just the 8.1.7 binaries,
    2) patch it to 8.1.7
    3) create the db using dbassist w/o having to run the instruction steps in the patch set notes?

    Anyone hot the error when running the catalog.sql after patching :

    create role recovery_catalog_owner
    *
    ERROR at line 1:
    ORA-01921: role name 'RECOVERY_CATALOG_OWNER' conflicts with another user or
    role name



    Regards
    CF

  2. #2
    Join Date
    May 2002
    Posts
    2,645
    Install the base version of the RDBMS.
    Create the seed database. Once the seed or starter database is up and running, and you know the software installed/linked okay, you can delete the seed database to regain disk space.

    THEN, install the patch. Normally, usually, generally, the patch is not mission essential to the overall functioning of the database. For the most part, you can live without ever installing a patch.

  3. #3
    Join Date
    Oct 2002
    Location
    Singapore
    Posts
    49
    I follow the instructions in the 8.1.7.4 patch set notes. At number 9, I dont get the correct output. is this ok?

    SQL> connect / as sysdba
    Connected.
    SQL> select * from obj$ where type#=29 and owner# !=0;

    no rows selected

    SQL> update obj$ set status=5 where type#=29 and owner# !=0;

    0 rows updated.

    SQL> commit;

    Commit complete.

    SQL> select * from obj$ where type#=29 and owner# !=0;

    no rows selected

    SQL> desc dbms_java
    ERROR:
    ORA-04043: object dbms_java does not exist


    Regards
    CF

  4. #4
    Join Date
    May 2002
    Posts
    2,645
    I have negative knowledge of the specifics of what this patch does. If you are missing something like dbms_java, that would tell me you need to install the dbms_java package before you install the patch.

    For future reference, if 0 rows are updated, what is there to commit (assuming no other transactions need to be committed)?


  5. #5
    Join Date
    Sep 2002
    Location
    England
    Posts
    7,333
    if you are installing patch set 4 then most of the stuff you dont need to do. Only if you have got all the weird and wonderful bits installed.

  6. #6
    Join Date
    Jun 2000
    Location
    Madrid, Spain
    Posts
    7,447
    if you dont use java just ignore that error but if in future you plan to use java then you better install it and patch it

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  



Click Here to Expand Forum to Full Width